# FatFs - f_unlink

## f_unlink

The f_unlink function removes a file or directory.

    FRESULT f_unlink (
      const TCHAR* FileName  /* Pointer to the object name */
    );

#### Parameter

FileName
  Pointer to the null-terminated string that specifies an object to be removed.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_NO_FILE, FR_NO_PATH, FR_INVALID_NAME, FR_DENIED, FR_EXIST, FR_WRITE_PROTECTED, FR_INVALID_DRIVE, FR_NOT_ENABLED, FR_NO_FILESYSTEM, FR_TIMEOUT, FR_LOCKED, FR_NOT_ENOUGH_CORE

#### Description

If condition of the object to be removed is applicable to the following terms, the function will fail with error.

- The object must not have read-only attribute (AM_RDO) or the function will be rejected with `FR_DENIED`.
- The directory must be empty and must not be current directory or the function will be rejected with `FR_DENIED`.
- The file must not have been opened or the FAT volume can be collapted. It will able to be rejected with `FR_LOCKED` when file shareing control is enabled.

#### QuickInfo

Available when `_FS_READONLY == 0` and `_FS_MINIMIZE == 0`.

Return